Bug 805955 - RFE: PEP 8 compliant indentation for Python files
RFE: PEP 8 compliant indentation for Python files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 10:36 EDT by Daniel Mach
Modified: 2014-02-05 06:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:55:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2012-03-22 10:36:08 EDT
PEP 8 (Style Guide for Python Code)[1] defines how the python code should look like. I think vim should have the default settings for python files compliant with this standard.

My proposal is to use following settings for editing python files:
set tabstop=8
set expandtab
set softtabstop=4
set shiftwidth=4
set autoindent

I also use Shift-Tab to unindent, which makes editing more intuitive.
My mapping is:
imap <S-Tab> <Esc> < i
(there may be probably a better approach how to imap <S-Tab>, I'm not a vim/vimrc master...)
I'd include this too, because indentation is essential part of coding in python.


I wouldn't change anything else, because it's up to every user to edit theirs vimrc file.


[1] http://www.python.org/dev/peps/pep-0008/
Comment 1 Fedora End Of Life 2013-12-21 03:34:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 06:55:28 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.